Subject: (whorl) News Flash: Betel Linked to Scleroderma?

From: Ranjit Bhatnagar <ranjit at best.com>
Date: Tue, 03 Jun 1997 09:07:16 +0000

[Posted from WHORL, the mailing list for Gene Wolfe's Book of the Long Sun]

_They Have Scientists_

The May 31 issue of Science News reports that researchers at the Royal
College of Surgeons and Dental Science at Kings College in London have
found that BETUL NUTS contain large amounts of COPPER, a substance
which has been linked to cancer, liver disease, and SCLERODERMA.

What is it about this mysterious CHEMical which connects two seemingly
unrelated BIOlogical phenomena, so reminiscent of a marble urn
in which are planted both roses and mint?

	-r.
	(ok, maybe not THAT reminiscent)